<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:39:14 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>AMIpoll (org.eclipse.papyrus.designer.components.modellibs.core 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AMIpoll (org.eclipse.papyrus.designer.components.modellibs.core 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AMIpoll.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIcallback.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/ExtendedPort.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html" target="_top">Frames</a></li>
<li><a href="AMIpoll.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules</div>
<h2 title="Class AMIpoll" class="title">Class AMIpoll</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.AMIpoll</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">AMIpoll</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a></pre>
<div class="block">Implement a CORBA AMI style polling interface
 This is defined in the CORBA 3 standard in section 22.6.2
 A difference is that we do not return the poller object, but the client uses the original port.
 This has the consequence that it is not possible to make multiple asynchronous requests.

 A second difference is that we do not keep the normal methods in the same interface and prefix the
 new ones. (which would probably be a good idea).</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html#AMIpoll--">AMIpoll</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Type</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html#calcDerivedType-org.eclipse.papyrus.designer.components.FCM.Port-boolean-">calcDerivedType</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/Port.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;p,
               boolean&nbsp;update)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html#hasOutParameters-org.eclipse.uml2.uml.Operation-">hasOutParameters</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html#needsUpdate-org.eclipse.papyrus.designer.components.FCM.Port-">needsUpdate</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/Port.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;p)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AMIpoll--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AMIpoll</h4>
<pre>public&nbsp;AMIpoll()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="calcDerivedType-org.eclipse.papyrus.designer.components.FCM.Port-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calcDerivedType</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Type&nbsp;calcDerivedType(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/Port.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;p,
                                                 boolean&nbsp;update)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true#calcDerivedType-org.eclipse.papyrus.designer.components.FCM.Port-boolean-" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">calcDerivedType</a></code>&nbsp;in interface&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a></code></dd>
</dl>
</li>
</ul>
<a name="hasOutParameters-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasOutParameters</h4>
<pre>public static&nbsp;boolean&nbsp;hasOutParameters(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="needsUpdate-org.eclipse.papyrus.designer.components.FCM.Port-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>needsUpdate</h4>
<pre>public&nbsp;boolean&nbsp;needsUpdate(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/Port.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;p)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true#needsUpdate-org.eclipse.papyrus.designer.components.FCM.Port-" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">needsUpdate</a></code>&nbsp;in interface&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AMIpoll.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIcallback.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/ExtendedPort.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html" target="_top">Frames</a></li>
<li><a href="AMIpoll.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
